ACL_CMP(3)

NAME
acl_cmp - compare two ACLs

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <acl/libacl.h>
int
acl_cmp(acl_t acl1, acl_t acl2);

DESCRIPTION
The acl_cmp() function compares the ACLs pointed to by the arguments acl1 and acl2 for equality. The two ACLs are considered equal if for each entry in acl1 there is an entry in acl2 with matching tag type, qualifier, and permissions, and vice versa.

RETURN VALUE
If successful, the acl_cmp() function returns 0 if the two ACLs acl1 and acl2 are equal, and 1 if they differ. Otherwise, the value -1 is returned and the global variable errno is set to indicate the error.

ERRORS
If any of the following conditions occur, the acl_cmp() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument acl1 is not a valid pointer to an ACL.

    The argument acl2 is not a valid pointer to an ACL.

STANDARDS
This is a non-portable, Linux specific extension to the ACL manipulation functions defined in IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned).

SEE ALSO
acl(5)

AUTHOR
Written by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.